status-board-cli
================

CLI utility for Status Board

[![oclif](https://img.shields.io/badge/cli-oclif-brightgreen.svg)](https://oclif.io)
[![Version](https://img.shields.io/npm/v/status-board-cli.svg)](https://npmjs.org/package/status-board-cli)
[![CircleCI](https://circleci.com/gh/jameswlane/status-board-cli/tree/master.svg?style=shield)](https://circleci.com/gh/jameswlane/status-board-cli/tree/master)
[![Appveyor CI](https://ci.appveyor.com/api/projects/status/github/jameswlane/status-board-cli?branch=master&svg=true)](https://ci.appveyor.com/project/jameswlane/status-board-cli/branch/master)
[![Codecov](https://codecov.io/gh/jameswlane/status-board-cli/branch/master/graph/badge.svg)](https://codecov.io/gh/jameswlane/status-board-cli)
[![Downloads/week](https://img.shields.io/npm/dw/status-board-cli.svg)](https://npmjs.org/package/status-board-cli)
[![License](https://img.shields.io/npm/l/status-board-cli.svg)](https://github.com/jameswlane/status-board-cli/blob/master/package.json)

<!-- toc -->
* [Usage](#usage)
* [Commands](#commands)
<!-- tocstop -->
# Usage
<!-- usage -->
```sh-session
$ npm install -g status-board-cli
$ status-board COMMAND
running command...
$ status-board (-v|--version|version)
status-board-cli/2.0.47 linux-x64 node-v8.16.0
$ status-board --help [COMMAND]
USAGE
  $ status-board COMMAND
...
```
<!-- usagestop -->
# Commands
<!-- commands -->
* [`status-board generate COMPONENT NAME`](#status-board-generate-component-name)
* [`status-board help [COMMAND]`](#status-board-help-command)
* [`status-board install`](#status-board-install)
* [`status-board list`](#status-board-list)
* [`status-board new [APP] [ENV]`](#status-board-new-app-env)
* [`status-board start [PORT]`](#status-board-start-port)

## `status-board generate COMPONENT NAME`

generates a basic component of type widget, dashboard or job

```
USAGE
  $ status-board generate COMPONENT NAME

ARGUMENTS
  COMPONENT  (widget|dashboard|job) type of component
  NAME       name of component

OPTIONS
  -h, --help  show CLI help
```

_See code: [src/commands/generate.ts](https://github.com/jameswlane/status-board-cli/blob/v2.0.47/src/commands/generate.ts)_

## `status-board help [COMMAND]`

display help for status-board

```
USAGE
  $ status-board help [COMMAND]

ARGUMENTS
  COMMAND  command to show help for

OPTIONS
  --all  see all commands in CLI
```

_See code: [@oclif/plugin-help](https://github.com/oclif/plugin-help/blob/v2.1.6/src/commands/help.ts)_

## `status-board install`

install package dependencies

```
USAGE
  $ status-board install

OPTIONS
  -h, --help  show CLI help
```

_See code: [src/commands/install.ts](https://github.com/jameswlane/status-board-cli/blob/v2.0.47/src/commands/install.ts)_

## `status-board list`

lists all available components (widgets or jobs) among all packages

```
USAGE
  $ status-board list
```

_See code: [src/commands/list.ts](https://github.com/jameswlane/status-board-cli/blob/v2.0.47/src/commands/list.ts)_

## `status-board new [APP] [ENV]`

generates a new dashboard project

```
USAGE
  $ status-board new [APP] [ENV]

ARGUMENTS
  APP  App to deploy
  ENV  Environment to deploy on

OPTIONS
  -h, --help  show CLI help
```

_See code: [src/commands/new.ts](https://github.com/jameswlane/status-board-cli/blob/v2.0.47/src/commands/new.ts)_

## `status-board start [PORT]`

starts Status Board's server

```
USAGE
  $ status-board start [PORT]

ARGUMENTS
  PORT  runs Status Board in port

OPTIONS
  -d, --dashboard=dashboard  loads only dashboards matching
  -j, --job=job              runs only jobs matching 'myjob'
  -n, --noinstall            skips npm package install (faster startup)
```

_See code: [src/commands/start.ts](https://github.com/jameswlane/status-board-cli/blob/v2.0.47/src/commands/start.ts)_
<!-- commandsstop -->
